Contents | Parent Topic | Previous Topic | Next Topic
Home | Catalog

# 2. Language overview

## 2.1. Basic concepts

The basic concepts within SDF documents are:

Concept | Description
paragraph | one or more lines of text
phrase | a section of text within a paragraph
style | the type of a document, paragraph, phrase or table (e.g. H1)
macro | a command embedded in a document (e.g. !define)
variable | a named value (e.g. DOC_NAME)
filter | a rule to use when processing certain sections of text (e.g. table)
attribute | a named parameter of a paragraph, phrase or filter (e.g. jump)
expression | a literal or expression to evaluate (e.g. "Ian Clatworthy").

Further details about these are given below.

Paragraphs

Phrases

Macros

Variables

Filters

Attributes

Expressions